Page MenuHomePhabricator

First Selenium automation test for GrowthExperiments extension (Homepage)
Closed, ResolvedPublic

Description

First test for GrowthExperiments extension

  • check for the extension presence on Special:Version.
  • create the test with a new user so the preferences section does not need cleanup after the test run.

Note: As an example the following test can be used: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/TimedMediaHandler/+/492710

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterMake test create new user instead of using admin
mediawiki/extensions/GrowthExperiments : masterWIP: Homepage enabled
mediawiki/extensions/GrowthExperiments : masterSelenium: Homepage can be enabled
mediawiki/extensions/GrowthExperiments : masterThe first sample Selenium test in Node.js

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJun 3 2019, 4:11 PM
Etonkovidova renamed this task from First Automation test for GrowthExperiments extension (Homepage) to First Selenium automation test for GrowthExperiments extension (Homepage).Jun 3 2019, 4:13 PM
zeljkofilipin triaged this task as Medium priority.Jun 4 2019, 10:57 AM

Change 515001 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] WIP The first sample Selenium test in Node.js

https://gerrit.wikimedia.org/r/515001

Change 517200 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] WIP Test that checks for newcomer user homepage

https://gerrit.wikimedia.org/r/517200

Change 515001 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] The first sample Selenium test in Node.js

https://gerrit.wikimedia.org/r/515001

kostajh changed the task status from Open to Stalled.Jul 31 2019, 9:14 AM
kostajh added a subscriber: kostajh.

This task now seems to be about checking Special:Homepage so it would be good to change the task title and description, IMO. Also, it's blocked on T229389 so I'm marking this as stalled.

Change 527943 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] Merge branch 'master' of ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/GrowthExperiments into review/ephemeralwaves/T224903

https://gerrit.wikimedia.org/r/527943

Change 527944 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] WIP: Homepage enabled

https://gerrit.wikimedia.org/r/527944

Change 527943 abandoned by Ephemeralwaves:
Merge branch 'master' of ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/GrowthExperiments into review/ephemeralwaves/T224903

https://gerrit.wikimedia.org/r/527943

Jpita added a subscriber: Jpita.Aug 12 2019, 12:43 PM

Change 517200 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Selenium: Homepage can be enabled

https://gerrit.wikimedia.org/r/517200

Change 527944 abandoned by Ephemeralwaves:
WIP: Homepage enabled

https://gerrit.wikimedia.org/r/527944

Is this task resolved?

GrowthExperiments has Selenium tests:

https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/GrowthExperiments/%2B/master/tests/selenium/

If more tests are needed, additional tasks could be created.

zeljkofilipin changed the task status from Stalled to Open.Sep 18 2019, 12:22 PM
zeljkofilipin closed this task as Resolved.

Please reopen if there's something left to do here.

Ephemeralwaves reopened this task as Open.Sep 30 2019, 2:59 PM
Ephemeralwaves updated the task description. (Show Details)

Change 539883 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/GrowthExperiments@master] Make test create new user instead of using admin

https://gerrit.wikimedia.org/r/539883

zeljkofilipin closed this task as Resolved.Oct 2 2019, 1:00 PM

The first test is created, so this task should be resolved. Please create a new task on creating additional tests.

Change 539883 abandoned by Zfilipin:
Make test create new user instead of using admin

Reason:
moved to https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /552661

https://gerrit.wikimedia.org/r/539883